# Timesketch
[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/google/timesketch/blob/master/notebooks/colab-timesketch-demo.ipynb)
[![Open In Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/google/timesketch/master?urlpath=%2Flab)

[![Version](https://img.shields.io/pypi/v/timesketch?label=timesketch&style=plastic)](https://pypi.python.org/pypi/timesketch)
[![Version API](https://img.shields.io/pypi/v/timesketch_api_client?label=api_client&style=plastic)](https://pypi.python.org/pypi/timesketch_api_client)
[![Version Import](https://img.shields.io/pypi/v/timesketch_import_client?label=import_client&style=plastic)](https://pypi.python.org/pypi/timesketch_import_client)

![](https://github.com/google/timesketch/workflows/timesketch-end-to-end/badge.svg)
![](https://github.com/google/timesketch/workflows/pipenv%20unittests/badge.svg)
![](https://github.com/google/timesketch/workflows/ppa%20unittests/badge.svg)


## Table of Contents
1. [About Timesketch](#about-timesketch)
2. [Getting started](#getting-started)
3. [Community](#community)
4. [Contributing](#contributing)

## About Timesketch
Timesketch is an open-source tool for collaborative forensic timeline analysis. Using sketches you and your collaborators can easily organize your timelines and analyze them all at the same time.  Add meaning to your raw data with rich annotations, comments, tags and stars.

<img width="1819" alt="Screenshot 2021-03-05 at 14 28 40" src="https://user-images.githubusercontent.com/316362/110122005-5e584200-7dbf-11eb-8e3c-d73408ef2850.png">

<img width="1801" alt="Screenshot 2021-03-05 at 14 29 46" src="https://user-images.githubusercontent.com/316362/110122085-75972f80-7dbf-11eb-87aa-5dc64628392b.png">

## Getting started

#### Installation
* [Install Timesketch](docs/guides/admin/install.md)

#### Adding timelines
* [Upload data](docs/guides/user/import-from-json-csv.md)

#### Using Timesketch
* [Users guide](docs/guides/user/basic-concepts.md)

#### Adding a Notebook Container
* [Installation](docs/guides/user/notebook.md)

## Community
* [Community guide](docs/community/resources.md)

## Contributing
* [Prerequisites](CONTRIBUTING.md)
* [Developers guide](docs/developers/getting-started.md)

---

##### Obligatory Fine Print
This is not an official Google product (experimental or otherwise), it is just code that happens to be owned by Google.
